WordPress.org

Make WordPress Core

Opened 3 years ago

Closed 3 years ago

#40928 closed task (blessed) (fixed)

Shrinkwrap npm dependencies for 4.8

Reported by: netweb Owned by: pento
Milestone: 4.8 Priority: normal
Severity: normal Version:
Component: Build/Test Tools Keywords: has-patch commit
Focuses: Cc:
PR Number:

Description

Previous milestone references: 4.7 in #38657, 4.6 in #37541, 4.5 in #36498

Notes:

  1. The npm-shrinkwrap.json is generated using NodeJS 6.9.1 and npm 3.10.10, see #38657#comment:9
  1. The npm-shrinkwrap.json excludes the fsevents optional dependency and has been manually removed, see 4.7's [39368].

Attachments (1)

40928.diff (162.1 KB) - added by netweb 3 years ago.

Download all attachments as: .zip

Change History (5)

#1 @netweb
3 years ago

  • Keywords has-patch commit added

@netweb
3 years ago

#2 @netweb
3 years ago

Refreshed patch is now against the root of the SVN repo.

#3 @pento
3 years ago

  • Owner set to pento
  • Status changed from new to assigned

#4 @pento
3 years ago

  • Resolution set to fixed
  • Status changed from assigned to closed

In 40878:

Build: Add npm-shrinkwrap.json

fsevent has been manually removed, so it doesn't kill the build server.

Props netweb.
Fixes #40928.

Note: See TracTickets for help on using tickets.